#ifndef _STDDEF_INCLUDED
#include <stddef.h>
#endif /*_STDDEF_INCLUDED*/

#ifndef _FAKE_SPI_H_
#define _FAKE_SPI_H_
#include "Types.h"

#define	SCLK	0x04
#define	MOSI	0x08
#define	RS		0x10
#define	CS		0x20
#define RESET	0x20

#define  LCD_CS    PTBD_PTBD5   /*0x20*/
#define	 LCD_SK    PTBD_PTBD2   /*0x04*/
#define	 LCD_SI    PTBD_PTBD3   /*0x08*/
#define  LCD_RS    PTBD_PTBD4   /*0x10*/
#define  LCD_RST   PTAD_PTAD5   /*0x20*/

void InitGPIOSPI( void );
void GPIOSPISendByte( int byte );
void GPIOSPISendBuffer( uint8* buffer, size_t length );

#endif
