/****************************************************************/
/* FLASH ROM                                        */
/* |C^^𖳗萮^ňċC̈ƂC   */
/* AZuŋLq                                       */
/*                  Copyright (c)  since 2007/09/18 */
/****************************************************************/

#include "derivative.h" /* include peripheral declarations */
#include <string.h>
#define Page_Erase   ((unsigned char(*)(volatile unsigned char *, unsigned char))(pgm))
#define Program_Byte ((unsigned char(*)(volatile unsigned char *, unsigned char))(pgm))

/****************************************************************/
/* FLASḦɏ/s                         */
/*                  Copyright (c)  since 2007/09/18 */
/****************************************************************/
volatile static unsigned char flash_era_wrt( volatile unsigned char *adr, unsigned char data )
{

#if 0
  if( FSTAT_FACCERR == 1 )  /*FACCERRĂȂANAĒu*/
  {
    FSTAT_FACCERR = 1;  /*1ăNA*/
  }

  *adr = data;  /*ŸɃf[^B*/

  FCMD = 0x40;  /*R}h݁BŏERASER}h*/

  FSTAT_FCBEF = 1;  /*FCFBEF1*/
  __asm NOP;  /*4oXTCN̑҂*/
  __asm NOP;
  __asm NOP;
  __asm NOP;

  if( FSTAT & 0x30 )  /*FACCERRFVIOLG[łȂmF*/
  {
    return 0xFF;  /*G[ŕԂ*/
  }

  while( FSTAT_FCCF == 0 ) ;  /*FCCF0̊Ԃ̓R}h*/

  return 0;
#else

#asm
  PSHA ; 

  LDA #0x10  ; FACCERRĂ邩`FbN
  BIT _FSTAT ; FACCERRĂ邩`FbN
  BEQ _NEXT_01 ; ĂȂ_NEXT_01Ƀu`
  ORA _FSTAT ; FACCERRĂȂNAĒu
  STA _FSTAT ; ߂

_NEXT_01:  ; ŸɃf[^B
  PULA
  STA ,X

  ; R}h݁BŏERASER}h
  LDA #0x40
  STA _FCMD

  ; FCFBEF1
  LDHX @_FSTAT ;

  LDA ,X     ; FCFBEF1ɂ
  ORA #0x80  ; FCFBEF1ɂ
  STA ,X     ; ߂


  BRN _NEXT_02 ; 3oXTCN
_NEXT_02 :
  NOP ; 1oXTCN

  ; FACCERRFVIOLG[łȂmF
  LDA ,X
  AND #0x30    ; FACCERRFVIOL̊Ybit
  BEQ _NEXT_03 ; ĂȂ_NEXT_03Ƀu`
  LDA #0xff    ; ߂l-1ɂ
  RTS


  ; FCCF0̊Ԃ̓R}h
_NEXT_03 :
  LDA ,X
  AND #0x40    ; FCCF̊Ybit
  BEQ _NEXT_03 ; 0̊Ԃ_NEXT_03Ƀu`
#endasm

#endif

  return 0;
}

/****************************************************************/
/* FLASḦɏ                                  */
/*                  Copyright (c)  since 2007/09/18 */
/****************************************************************/
int FlashCopy( void *adr, void *data, unsigned short size )
{
  unsigned char temp;
  char *ptr = (char *)data;
#if 0
  volatile unsigned char pgm[ 59 ];
#else
  volatile unsigned char pgm[ 46 ];
#endif

  /*tbV݃R[h̃Rs[*/
  (void)memcpy( pgm, flash_era_wrt, sizeof(pgm) );
#if 0
  pgm[ 0x15 ] = 0x20;  /*R}hbyte writeR}hɕύX*/
#else
  pgm[ 0x11 ] = 0x20;  /*R}hbyte writeR}hɕύX*/
#endif

  /*tbV*/
  for( ; size > 0; size-- )
  {
    if( *ptr != 0xff )
    {
      temp = Program_Byte( (volatile unsigned char *)adr, *ptr );
      if( temp == 0xff ) return (-1);
    }

    ((char *)adr)++;
    ptr++;
  }
  return 0;
}

/****************************************************************/
/* ̃AhX݂ubN                   */
/*                  Copyright (c)  since 2007/09/18 */
/****************************************************************/
int FlashErase( void *adr )
{
  unsigned char temp;
#if 0
  volatile unsigned char pgm[ 59 ];
#else
  volatile unsigned char pgm[ 46 ];
#endif

  /*tbVR[h̃Rs[*/
  (void)memcpy( pgm, flash_era_wrt, sizeof(pgm) );

  /*tbV*/
  temp = Page_Erase( (volatile unsigned char *)adr, 0x00 );

  if( temp == 0xff ) return (-1);
  return 0;
}

/****************************************************************/
/*                  Copyright (c)  since 2007/09/18 */
/****************************************************************/
